DEPRECATED: Use GET /rest-api/action/{actionKey} instead.
Reference
GET https://YOUR-NETWORK-DOMAIN/rest-api/campaign/{campaignId}/action/{actionKey}.do
DEPRECATED: Use GET /rest-api/action/{actionKey} instead. Returns a single conversion action identified by its action key within the context of a specific campaign. The campaignId is used to generate the action key for the response but the action itself is looked up by key. Returns 404 if no action exists with the given key. Requires authentication.
Path Params
campaignIdintegerrequired
The numeric ID of the campaign. Used for context when generating the action key in the response.
2001
actionKeystringrequired
The unique action key string that identifies the action.
a1b2c3d4e5
Responses
200
Action object with key, id, name, and conversion time frame settings
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("GET"), "https://YOUR-NETWORK-DOMAIN/rest-api/campaign/2001/action/a1b2c3d4e5.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());